PCIS-DASK/X Release Notes File

=================================================================
                    Table Of Contents 
=================================================================
* PCIS-DASK 3.22 Release Notes
  + PCIS-DASK 3.22 New Features (versus 3.21)
  + PCIS-DASK 3.22 Hardware Support
  + Miscellaneous bug fixes
  + Miscellaneous

* PCIS-DASK 3.21 Release Notes
  + PCIS-DASK 3.21 New Features (versus 3.20)
  + PCIS-DASK 3.21 Hardware Support
  + Miscellaneous bug fixes
  + Miscellaneous

* PCIS-DASK/X 3.20 Release Notes
  + PCIS-DASK/X 3.20 New Features (versus 3.02)
  + PCIS-DASK/X 3.20 Hardware Support
  + PCIS-DASK/X 3.20 New Functions
  + Miscellaneous bug fixes
  + Miscellaneous

* PCIS-DASK/X 3.02 Release Notes
  + PCIS-DASK/X 3.02 Hardware Support
  + Miscellaneous Bug Fixs

* PCIS-DASK/X 3.01 Release Notes
  + PCIS-DASK/X 3.01 Hardware Support
  + PCIS-DASK/X 3.01 New Functions
  + Miscellaneous Bug Fixs


* PCIS-DASK/X 3.00 Release Notes
  + PCIS-DASK/X 3.00 New Features (versus 2.00)
  + PCIS-DASK/X 3.00 Hardware Support
  + PCIS-DASK/X 3.00 New Functions
  + Miscellaneous Bug Fixs


* PCIS-DASK/X 2.00 Release Notes
  + PCIS-DASK/X 2.00 New Features (versus 1.00)
  + PCIS-DASK/X 2.00 Hardware Support
  + PCIS-DASK/X 2.00 New Functions
  + Miscellaneous

+ Acknowledgements

-----------------------------------------------------------------
     PCIS-DASK 3.22 Release Notes
-----------------------------------------------------------------

**** PCIS-DASK 3.22 New Features (versus 3.21) ****

The following new features are supported in PCIS-DASK 3.22 :

 * Kernel 2.4.9 device modules supported 

**** PCIS-DASK 3.21 Hardware Support ****

PCIS-DASK 3.22 Linux version : 
 * PCI-6208A 
 * PCI-6208V/16V
 * PCI-6308A 
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252 
 * PCI-7296
 * PCI-7300A/cPCI-7300A 
 * PCI-7396/PCI-7348 
 * PCI-7432/cPCI-7432/cPCI-7432R 
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554 
 * PCI-9111
 * PCI-9112/cPCI-9112
 * PCI-9113  
 * PCI-9114 
 * cPCI-9116
 * PCI-9118
 * PCI-9812/10

**** Miscellaneous bug fixes ****
 * For PCI-7396, fix the bug of CTR_Setup( ) function

 * Fix imcompatible data structure problem for PCI-7200 and PCI_7300A serials 


**** Miscellaneous ****
 * For cPCI-9116, add more delay for the status checking of FPGA downloading

 * For PCI-9111 Rev.A3, additional code is added for the AutoScan operation  


-----------------------------------------------------------------
     PCIS-DASK 3.21 Release Notes
-----------------------------------------------------------------

**** PCIS-DASK 3.21 New Features (versus 3.20) ****

The following new features are supported in PCIS-DASK 3.21 :

 * Kernel 2.4.6 device modules supported 
 * Double buffered mode of about-triggered continuous AI is now 
   supported for cPCI-9116 

**** PCIS-DASK 3.21 Hardware Support ****

PCIS-DASK 3.21 Linux version : 
 * PCI-6208A 
 * PCI-6208V/16V
 * PCI-6308A 
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252 
 * PCI-7296
 * PCI-7300A/cPCI-7300A 
 * PCI-7396/PCI-7348 
 * PCI-7432/cPCI-7432/cPCI-7432R 
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554 
 * PCI-9111
 * PCI-9112/cPCI-9112
 * PCI-9113  
 * PCI-9114 
 * cPCI-9116
 * PCI-9118
 * PCI-9812/10

**** Miscellaneous bug fixes ****

 * The system hang problem for repeatedly aborting DMA operation of 
   PCI-7300A/cPCI-7300A is fixed.

 * Fix the bugs of PCI-7200 DI_ReadPort( ) and DI_ReadLine( ) 

 * For all devices, fix the mechanism of PCI Registry modification.

**** Miscellaneous ****

Functions "AI_AsyncClear/DI_AsyncClear" return the data count in the 
circular buffer at the last cycle of double mode of data acquisition. 
Please refer to the PCIS-DASK function reference manual for the details. 

-----------------------------------------------------------------
     PCIS-DASK/X 3.20 Release Notes
-----------------------------------------------------------------
**** PCIS-DASK 3.20 New Features (versus 3.02) ****

The following new features are supported in PCIS-DASK 3.20 :

 * Driver for new NuDAQ card, cPCI-9116 supports
 * Multi-buffered mode of continuous DI is now supported for
   PCI-7300A/cPCI-7300A
 * AUXDI0/Timer2 interrupt control for PCI-7300A/cPCI-7300A
   is supported
 * add the binary modules for Linux 2.2.18/2.4.2 and the kernel-version
   checking in installation script
 * add request_region / release_region for all devices, that will provide
   information of I/O port in /proc/ioports

**** PCIS-DASK 3.20 Hardware Support ****

 * PCI-6208A
 * PCI-6208V/16V
 * PCI-6308A
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252
 * PCI-7296
 * PCI-7300A/cPCI-7300A
 * PCI-7396/PCI-7348
 * PCI-7432/cPCI-7432/cPCI-7432R
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554
 * PCI-9111
 * PCI-9112/cPCI-9112
 * PCI-9113
 * PCI-9114
 * cPCI-9116
 * PCI-9118
 * PCI-9812/10
 * cPCI-9812/10

**** PCIS-DASK 3.20 New Functions ****

The following new functions are added to PCIS-DASK 3.20

 1. AI configuration function:
    * AI_9116_Config
    * AI_9116_CounterInterval

 2. Asynchronous Multi-buffered Continuous Digital Input Functions
    * DI_ContMultiBufferSetup
    * DI_ContMultiBufferStart
    * DI_AsyncMultiBufferNextReady

 3. One-Shot Digital Output Function:
    * DO_WriteExtTrigLine

 4. Local Interrupt Setting Functions:
    * DIO_7300SetInterrupt

 5. General-purpose Timer/Counter functions:
    * GCTR_Setup
    * GCTR_Clear
    * GCTR_Read

**** Miscellaneous bug fixes ****

 * The data remained in the FIFO of PCI-7200 are all read out after
   the abortion of DMA operation.
 * It is now fixed that the FIFO of PCI-7300A_RevA and PCI-7300A_RevB
   isn't cleared after sync. mode of DO operation.
 * The system hang problem for very short time of sync. mode of
   continuous DI of PCI-7300A/cPCI-7300A is fixed.
 * The time gap between the finish of one block of data output and the
   re-starting of the next block of data output for PCI-7300A/cPCI-7300A
   is eliminated.
 * Fix the "memory consuming" bug for PCI-6208, 6308, 7296, 7432 and 7434.
   ( reported by Leonid Didkovsky <loenid@bbso.njit.edu> )
 * Fix the bug of "non-quadruple word" operation for HandShake mode.
   ( reported by PETER.A <PETER.A@amplicon.co.uk> )

**** Miscellaneous ****

Function "GetActualRate" produces the actual sampling rate the hardware
will perform corresponding to the board type and the rate you want.

Function "DO_WriteExtTrigLine" controls the output trigger signal for
the O_TRG pin of PCI-7200.

-----------------------------------------------------------------
     PCIS-DASK/X 3.02 Release Notes
-----------------------------------------------------------------

**** PCIS-DASK/X 3.02 Hardware Support ****

 * PCI-6208A
 * PCI-6208V/16V
 * PCI-6308A
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252
 * PCI-7296
 * PCI-7300A/cPCI-7300A
 * PCI-7396
 * PCI-7432/cPCI-7432/cPCI-7432R
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554
 * PCI-9111
 * PCI-9112/cPCI-9112
 * PCI-9113
 * PCI-9114
 * PCI-9118
 * PCI-9812/10
 * cPCI-9812/10

**** Miscellaneous Bug Fixs ****
 * Fix the incompatible argument for mmap() ( GLIBC 2.1.3 ) 
   modify the 'offset' parameter for mmap()
   ( reported by Ilja Rauhut <rauhut@alwa02.physik.uni-siegen.de> )

-----------------------------------------------------------------
     PCIS-DASK/X 3.01 Release Notes
-----------------------------------------------------------------

**** PCIS-DASK/X 3.01 Hardware Support ****

 * PCI-6208A
 * PCI-6208V/16V
 * PCI-6308A
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252
 * PCI-7296
 * PCI-7300A/cPCI-7300A
 * PCI-7396
 * PCI-7432/cPCI-7432/cPCI-7432R
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554
 * PCI-9111
 * PCI-9112/cPCI-9112
 * PCI-9113
 * PCI-9114
 * PCI-9118
 * PCI-9812/10
 * cPCI-9812/10

**** PCIS-DASK/X 3.01 New Functions ****
The following new functions are added to PCIS-DASK/X 3.01
 * GetActualRate

**** Miscellaneous Bug Fixs ****
 * Fix the bug of SYNC_MODE operation for PCI-7300A
 * Add the __attribute__((packed)) to solve the alignment
   problem of the variables by the gcc compiler.
   (Thanks to Karsten Schmidt)

-----------------------------------------------------------------
     PCIS-DASK/X 3.00 Release Notes
-----------------------------------------------------------------

**** PCIS-DASK/X 3.00 New Features (versus 2.00) ****

The following new features are supported in PCIS-DASK/X 3.00 :
 * Device modules for new NuDAQ card, PCI-9112, support
 * PCI-7348 now is supported as PCI-7396 compatible device
 * Add SMP-kernel checking in install script
 * Add optional argument for installaltion script to indicate the 
   installed-directory

**** PCIS-DASK/X 3.00 Hardware Support ****

 * PCI-6208A 
 * PCI-6208V/16V
 * PCI-6308A 
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252 
 * PCI-7296
 * PCI-7300A/cPCI-7300A 
 * PCI-7396/PCI-7348
 * PCI-7432/cPCI-7432/cPCI-7432R 
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554 
 * PCI-9111
 * PCI-9112/cPCI-9112
 * PCI-9113  
 * PCI-9114 
 * PCI-9118
 * PCI-9812/10
 * cPCI-9812/10

**** PCIS-DASK/X 3.00 New Functions ****

The following new functions are added to PCIS-DASK/X 3.00
 * AI_9112_Config
 * AO_9112_Config


**** Miscellaneous Bug Fixs ****

 * Add additional check for unexpected characters in pcidask.conf
 * Fix the format bug in header file for g++ compiler
 * Modify the Locked Memory checking with the kernel-export functions
 * Fix the bug of PCI Data writing back that is caused by 
   'pci_write_config_word' function
 * Clear FIFO for PCI-7300 even if the DMA operation is interrupted 
 * Fix the bug of Scan Number in write_header_to_file for PCI-9812


-----------------------------------------------------------------
     PCIS-DASK/X 2.00 Release Notes
-----------------------------------------------------------------


**** PCIS-DASK/X 2.00 New Features (versus 1.00) ****

The following new features are supported in PCIS-DASK/X 2.00 :
 * More device modules support for Linux kernel 2.2.x
 * Device modules for new NuDAQ cards, PCI-7300A, PCI-7300B, PCI-8554,
   PCI-9113, PCI-9114, PCI-9118 and PCI-9812, support
 * Provide interrupt asynchronouse notification
 * Add the data file format conversion utility

**** PCIS-DASK/X 2.00 Hardware Support ****

 * PCI-6208A 
 * PCI-6208V/16V
 * PCI-6308A 
 * PCI-6308V
 * PCI-7200/cPCI-7200
 * PCI-7230/cPCI-7230
 * PCI-7233/PCI-7233H
 * PCI-7234
 * PCI-7248/cPCI-7248
 * cPCI-7249R
 * PCI-7250
 * cPCI-7252 
 * PCI-7296
 * PCI-7300A/cPCI-7300A 
 * PCI-7396 
 * PCI-7432/cPCI-7432/cPCI-7432R 
 * PCI-7433/cPCI-7433/cPCI-7433R
 * PCI-7434/cPCI-7434/cPCI-7434R
 * PCI-8554 
 * PCI-9111
 * PCI-9113  
 * PCI-9114 
 * PCI-9118
 * PCI-9812/10
 * cPCI-9812/10

**** PCIS-DASK/X 2.00 New Functions ****

The following new functions are added to PCIS-DASK/X 2.00


 1. AI configuration functions:
    * AI_9113_Config
    * AI_9114_Config
    * AI_9118_Config
    * AI_9812_Config

 2. DI configuration functions:
    * DI_7300A_Config
    * DI_7300B_Config
    * DI_7200_Config

 3. DO configuration functions:
    * DO_7300A_Config
    * DO_7300B_Config
    * DO_7200_Config

 4. Pattern Generation DO functions:
    * DO_PGStart
    * DO_PGStop

 5. DIO interrupt configuration functions:
    * DIO_SetDualInterrupt
    * DIO_SetCOSInterrupt

 6. 8554 Clock configuration functions
    * CTR_8554_CK1_Config
    * CTR_8554_ClkSrc_Config
    * CTR_8554_Debounce_Config

 7. Asynchronous Digital functions:
    * DI_AsyncCheck
    * DI_AsyncClear
    * DO_AsyncCheck
    * DO_AsyncClear

 8. Asynchronous Double-Buffered functions:
    * DI_AsyncDblBufferHalfReady
    * DI_AsyncDblBufferMode
    * DI_AsyncDblBufferTransfer
    * DO_InitialMemoryAllocated
    * DI_InitialMemoryAllocated

 9. Continuous Data Acquisition functions:
    * DI_ContStatus
    * DI_ContReadPort
    * DO_ContStatus
    * DO_ContWritePort
    * DI_ContReadPortToFile
    * AI_ContReadChannelToFile
    * AI_ContScanChannelsToFile
    * AI_ContReadMultiChannelsToFile

**** Miscellaneous ****

The data file format conversion utility, DAQCvt, is now supported by 
PCIS-DASK 2.00 Linux version.


-----------------------------------------------------------------
     ACKNOWLEDGEMENTS
-----------------------------------------------------------------

Acknowledgements and general thanks to:
		* Linus Torvalds and the entire GNU/Linux community for creating
		  all this wonderful software, and then just giving it away.
		* Karsten Schmidt for solving the alignment problem of the 
		  variables caused by the gcc compiler.
		  
